import { Request, Response, UploadFilesForCheck } from 'express';
import { VideoIncludeType } from '../../../../peertube-models';
export declare function isVideoIncludeValid(include: VideoIncludeType): boolean;
export declare function isVideoCategoryValid(value: any): boolean;
export declare function isVideoStateValid(value: any): boolean;
export declare function isVideoLicenceValid(value: any): boolean;
export declare function isVideoLanguageValid(value: any): boolean;
export declare function isVideoDurationValid(value: string): boolean;
export declare function isVideoDescriptionValid(value: string): boolean;
export declare function isVideoSupportValid(value: string): boolean;
export declare function isVideoNameValid(value: string): boolean;
export declare function isVideoSourceFilenameValid(value: string): boolean;
export declare function isVideoTagValid(tag: string): boolean;
export declare function areVideoTagsValid(tags: string[]): boolean;
export declare function isVideoViewsValid(value: string | number): boolean;
export declare function isVideoRatingTypeValid(value: string): boolean;
export declare function isVideoFileExtnameValid(value: string): boolean;
export declare function isVideoFileMimeTypeValid(files: UploadFilesForCheck, field?: string): boolean;
export declare function isVideoImageValid(files: UploadFilesForCheck, field: string, optional?: boolean): boolean;
export declare function isVideoPrivacyValid(value: number): boolean;
export declare function isVideoReplayPrivacyValid(value: number): boolean;
export declare function isScheduleVideoUpdatePrivacyValid(value: number): boolean;
export declare function isVideoOriginallyPublishedAtValid(value: string | null): boolean;
export declare function isVideoFileInfoHashValid(value: string | null | undefined): boolean;
export declare function isVideoFileResolutionValid(value: string): boolean;
export declare function isVideoFPSResolutionValid(value: string): boolean;
export declare function isVideoFileSizeValid(value: string): boolean;
export declare function isVideoMagnetUriValid(value: string): boolean;
export declare function isPasswordValid(password: string): boolean;
export declare function isValidPasswordProtectedPrivacy(req: Request, res: Response): boolean;
//# sourceMappingURL=videos.d.ts.map