import { LoggerTagsFn } from '../../../../helpers/logger.js';
import { MVideoFullLight } from '../../../../types/models/index.js';
import { MRunnerJob } from '../../../../types/models/runners/index.js';
import { RunnerJobVODAudioMergeTranscodingPrivatePayload, RunnerJobVODWebVideoTranscodingPrivatePayload } from '../../../../../../peertube-models';
export declare function onVODWebVideoOrAudioMergeTranscodingJob(options: {
    video: MVideoFullLight;
    videoFilePath: string;
    privatePayload: RunnerJobVODWebVideoTranscodingPrivatePayload | RunnerJobVODAudioMergeTranscodingPrivatePayload;
    wasAudioFile: boolean;
}): Promise<void>;
export declare function loadTranscodingRunnerVideo(runnerJob: MRunnerJob, lTags: LoggerTagsFn): Promise<MVideoFullLight>;
//# sourceMappingURL=vod-helpers.d.ts.map