import { MUserId, MVideoFile, MVideoFullLight } from '../../../../types/models/index.js';
import { AbstractJobBuilder } from './abstract-job-builder.js';
export declare class TranscodingRunnerJobBuilder extends AbstractJobBuilder {
    createOptimizeOrMergeAudioJobs(options: {
        video: MVideoFullLight;
        videoFile: MVideoFile;
        isNewVideo: boolean;
        user: MUserId;
        videoFileAlreadyLocked: boolean;
    }): Promise<void>;
    createTranscodingJobs(options: {
        transcodingType: 'hls' | 'webtorrent' | 'web-video';
        video: MVideoFullLight;
        resolutions: number[];
        isNewVideo: boolean;
        user: MUserId | null;
    }): Promise<void>;
    private buildLowerResolutionJobPayloads;
}
//# sourceMappingURL=transcoding-runner-job-builder.d.ts.map