import { MVideoFile, MVideoFullLight } from '../../types/models/index.js';
import { Job } from 'bullmq';
import { VideoFileModel } from '../../models/video/video-file.js';
export declare function optimizeOriginalVideofile(options: {
    video: MVideoFullLight;
    inputVideoFile: MVideoFile;
    quickTranscode: boolean;
    job: Job;
}): Promise<{
    transcodeType: "video" | "quick-transcode";
    videoFile: VideoFileModel;
}>;
export declare function transcodeNewWebVideoResolution(options: {
    video: MVideoFullLight;
    resolution: number;
    fps: number;
    job: Job;
}): Promise<{
    video: MVideoFullLight;
    videoFile: VideoFileModel;
}>;
export declare function mergeAudioVideofile(options: {
    video: MVideoFullLight;
    resolution: number;
    fps: number;
    job: Job;
}): Promise<void>;
export declare function onWebVideoFileTranscoding(options: {
    video: MVideoFullLight;
    videoOutputPath: string;
    wasAudioFile?: boolean;
    deleteWebInputVideoFile?: MVideoFile;
}): Promise<{
    video: MVideoFullLight;
    videoFile: VideoFileModel;
}>;
//# sourceMappingURL=web-transcoding.d.ts.map