/// <reference types="node" resolution-mode="require"/>
import { AccountExportJSON, ActivityPubActor } from '../../../../../peertube-models';
import { ActorExporter } from './actor-exporter.js';
export declare class AccountExporter extends ActorExporter<AccountExportJSON> {
    export(): Promise<{
        json: AccountExportJSON;
        staticFiles: {
            archivePath: string;
            createrReadStream: () => Promise<import("stream").Readable>;
        }[];
        activityPub: ActivityPubActor;
    }>;
    getActivityPubFilename(): string;
    private exportAccountJSON;
    private exportAccountAP;
}
//# sourceMappingURL=account-exporter.d.ts.map