/// <reference types="node" resolution-mode="require"/>
import { ChannelExportJSON } from '../../../../../peertube-models';
import { ActorExporter } from './actor-exporter.js';
export declare class ChannelsExporter extends ActorExporter<ChannelExportJSON> {
    export(): Promise<{
        json: {
            channels: {
                url: string;
                name: string;
                displayName: string;
                description: string;
                support: string;
                updatedAt: string;
                createdAt: string;
                avatars: import("../../../../../peertube-models").UserActorImageJSON[];
                banners: import("../../../../../peertube-models").UserActorImageJSON[];
                archiveFiles: {
                    avatar: string;
                    banner: string;
                };
            }[];
        };
        staticFiles: {
            archivePath: string;
            createrReadStream: () => Promise<import("stream").Readable>;
        }[];
    }>;
    private exportChannel;
    private exportChannelJSON;
}
//# sourceMappingURL=channels-exporter.d.ts.map