import { ResultList, VideoCommentThreadTree } from '../../../peertube-models';
import express from 'express';
import * as Sequelize from 'sequelize';
import { MAccountDefault, MComment, MCommentFormattable, MCommentOwnerVideoReply, MVideoFullLight } from '../types/models/index.js';
declare function removeComment(commentArg: MComment, req: express.Request, res: express.Response): Promise<void>;
declare function createVideoComment(obj: {
    text: string;
    inReplyToComment: MComment | null;
    video: MVideoFullLight;
    account: MAccountDefault;
}, t: Sequelize.Transaction): Promise<MCommentOwnerVideoReply>;
declare function buildFormattedCommentTree(resultList: ResultList<MCommentFormattable>): VideoCommentThreadTree;
export { removeComment, createVideoComment, buildFormattedCommentTree };
//# sourceMappingURL=video-comment.d.ts.map