export declare class GeoIP {
    private static instance;
    private countryReader;
    private cityReader;
    private readonly countryDBPath;
    private readonly cityDBPath;
    private constructor();
    safeIPISOLookup(ip: string): Promise<{
        country: string;
        subdivisionName: string;
    }>;
    private getISOCountry;
    private getISOSubdivision;
    updateDatabases(): Promise<void>;
    private updateCountryDatabase;
    private updateCityDatabase;
    private updateDatabaseFile;
    private initReadersIfNeeded;
    static get Instance(): GeoIP;
}
//# sourceMappingURL=geo-ip.d.ts.map