import { LiveVideoLatencyModeType } from '../../../../peertube-models';
import { MStreamingPlaylist, MVideo } from '../../types/models/index.js';
declare function buildConcatenatedName(segmentOrPlaylistPath: string): string;
declare function cleanupAndDestroyPermanentLive(video: MVideo, streamingPlaylist: MStreamingPlaylist): Promise<void>;
declare function cleanupUnsavedNormalLive(video: MVideo, streamingPlaylist: MStreamingPlaylist): Promise<void>;
declare function cleanupTMPLiveFiles(video: MVideo, streamingPlaylist: MStreamingPlaylist): Promise<void>;
declare function getLiveSegmentTime(latencyMode: LiveVideoLatencyModeType): number;
export { cleanupAndDestroyPermanentLive, cleanupUnsavedNormalLive, cleanupTMPLiveFiles, getLiveSegmentTime, buildConcatenatedName };
//# sourceMappingURL=live-utils.d.ts.map