import { MVideo } from '../../../types/models/index.js';
import { MRunnerJob } from '../../../types/models/runners/index.js';
import { RunnerJobUpdatePayload, VODHLSTranscodingSuccess } from '../../../../../peertube-models';
import { AbstractVODTranscodingJobHandler } from './abstract-vod-transcoding-job-handler.js';
type CreateOptions = {
    video: MVideo;
    isNewVideo: boolean;
    deleteWebVideoFiles: boolean;
    resolution: number;
    fps: number;
    priority: number;
    dependsOnRunnerJob?: MRunnerJob;
};
export declare class VODHLSTranscodingJobHandler extends AbstractVODTranscodingJobHandler<CreateOptions, RunnerJobUpdatePayload, VODHLSTranscodingSuccess> {
    create(options: CreateOptions): Promise<MRunnerJob>;
    protected specificComplete(options: {
        runnerJob: MRunnerJob;
        resultPayload: VODHLSTranscodingSuccess;
    }): Promise<void>;
}
export {};
//# sourceMappingURL=vod-hls-transcoding-job-handler.d.ts.map