import { MUserId, MVideoFile, MVideoFullLight } from '../../../../types/models/index.js';
export declare abstract class AbstractJobBuilder {
    abstract createOptimizeOrMergeAudioJobs(options: {
        video: MVideoFullLight;
        videoFile: MVideoFile;
        isNewVideo: boolean;
        user: MUserId;
        videoFileAlreadyLocked: boolean;
    }): Promise<any>;
    abstract createTranscodingJobs(options: {
        transcodingType: 'hls' | 'webtorrent' | 'web-video';
        video: MVideoFullLight;
        resolutions: number[];
        isNewVideo: boolean;
        user: MUserId | null;
    }): Promise<any>;
}
//# sourceMappingURL=abstract-job-builder.d.ts.map