import { UserVideoHistoryExportJSON } from '../../../../../peertube-models';
import { AbstractRatesImporter } from './abstract-rates-importer.js';
type SanitizedObject = Pick<UserVideoHistoryExportJSON['watchedVideos'][0], 'videoUrl' | 'lastTimecode'>;
export declare class UserVideoHistoryImporter extends AbstractRatesImporter<UserVideoHistoryExportJSON, UserVideoHistoryExportJSON['watchedVideos'][0]> {
    protected getImportObjects(json: UserVideoHistoryExportJSON): {
        videoUrl: string;
        lastTimecode: number;
        createdAt: string;
        updatedAt: string;
    }[];
    protected sanitize(data: UserVideoHistoryExportJSON['watchedVideos'][0]): Pick<{
        videoUrl: string;
        lastTimecode: number;
        createdAt: string;
        updatedAt: string;
    }, "videoUrl" | "lastTimecode">;
    protected importObject(data: SanitizedObject): Promise<{
        duplicate: boolean;
    }>;
}
export {};
//# sourceMappingURL=user-video-history-importer.d.ts.map