import memoizee from 'memoizee';
import { Transaction } from 'sequelize';
import { MVideoTag } from '../types/models/index.js';
export declare function setVideoTags(options: {
    video: MVideoTag;
    tags: string[];
    transaction?: Transaction;
}): Promise<void>;
declare function getVideoDuration(videoId: number | string): Promise<{
    duration: number;
    isLive: boolean;
}>;
export declare const getCachedVideoDuration: typeof getVideoDuration & memoizee.Memoized<typeof getVideoDuration>;
export {};
//# sourceMappingURL=video.d.ts.map