import { Model, ModelStatic } from 'sequelize';
import { Literal } from 'sequelize/types/utils';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
declare function buildLocalAccountIdsIn(): Literal;
declare function buildLocalActorIdsIn(): Literal;
declare function buildBlockedAccountSQL(blockerIds: number[]): string;
declare function buildServerIdsFollowedBy(actorId: any): string;
declare function buildSQLAttributes<M extends Model>(options: {
    model: ModelStatic<M>;
    tableName: string;
    excludeAttributes?: Exclude<keyof AttributesOnly<M>, symbol>[];
    aliasPrefix?: string;
}): string[];
export { buildSQLAttributes, buildBlockedAccountSQL, buildServerIdsFollowedBy, buildLocalAccountIdsIn, buildLocalActorIdsIn };
//# sourceMappingURL=sql.d.ts.map