import { Transaction } from 'sequelize';
import { MTag } from '../../types/models/index.js';
import { SequelizeModel } from '../shared/index.js';
import { VideoModel } from './video.js';
export declare class TagModel extends SequelizeModel<TagModel> {
    name: string;
    createdAt: Date;
    updatedAt: Date;
    Videos: Awaited<VideoModel>[];
    static findOrCreateTags(tags: string[], transaction: Transaction): Promise<MTag[]>;
    static getRandomSamples(threshold: number, count: number): Promise<string[]>;
}
//# sourceMappingURL=tag.d.ts.map